<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuizQuestionsTable extends TableMigration
{
    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('quiz_id');
            $table->string('title');
            $table->string('image')->nullable();
            $table->string('type');
            $table->boolean('show_correct')->default(0);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->getTableNameWithPrefix());
    }

    public function tableName(): string
    {
        return 'quiz_questions';
    }
}
