<?php

namespace Drp\NativeEventApp\Mail;

use Drp\NativeEventApp\Contracts\TokenAuthenticatable;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AppVerificationEmail extends Mailable
{
    use Queueable, SerializesModels;

    /** @var string */
    public $verificationCode;

    /** @var TokenAuthenticatable */
    public $user;

    public function __construct(TokenAuthenticatable $user, string $verificationCode)
    {
        $this->user = $user;
        $this->verificationCode = $verificationCode;
    }

    public function build(): self
    {
        return $this->to($this->user->email)
            ->view(config('native-event-app.verification.email.view'))
            ->subject(config('native-event-app.verification.email.subject'));
    }
}
