<?php

namespace Drp\NativeEventApp\Quiz\Client;

use GuzzleHttp\Client;
use GuzzleHttp\RequestOptions;

class QuizClient
{
    /**
     * @var \GuzzleHttp\Client
     */
    private $httpClient;

    public function __construct(Client $httpClient)
    {
        $this->httpClient = $httpClient;
    }

    public function post(string $url, array $payload = []): void
    {
        if ($url !== '') {
            $url = '/' . $url;
        }

        $this->httpClient->post('/api/quiz' . $url, [RequestOptions::JSON => $payload]);
    }

    public function delete(string $url): void
    {
        if ($url !== '') {
            $url = '/' . $url;
        }

        $this->httpClient->delete('/api/quiz' . $url);
    }
}
