<?php

namespace Drp\NativeEventApp\Test\Unit\FileUploads;

use Drp\NativeEventApp\FileUploads\Facades\FileUpload;
use Drp\NativeEventApp\Test\TestCase;
use Illuminate\Support\Str;
use InvalidArgumentException;

class ManagerTest extends TestCase
{
    /** @test */
    public function it_throws_exception_on_storing_reference_with_invalid_driver(): void
    {
        config()->set('native-event-app.files.driver', 'invalid_driver');

        try {
            FileUpload::storeReference((string) Str::uuid(), 1);
        } catch (InvalidArgumentException $exception) {
            $this->assertStringContainsString('invalid_driver', $exception);
            return;
        }

        $this->fail('InvalidArgumentException not thrown');
    }
}
